package com.tencent.mm.plugin.appbrand.page;

import a.l;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.k;
import java.util.HashSet;

@l(dWo = {1, 1, 13}, dWp = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\b\u0002\u0018\u00002\u0012\u0012\u0004\u0012\u00020\u00020\u0001j\b\u0012\u0004\u0012\u00020\u0002`\u00032\u00020\u0004B\u0005¢\u0006\u0002\u0010\u0005¨\u0006\u0006"}, dWq = {"Lcom/tencent/mm/plugin/appbrand/page/AppBrandPageTrimLogic$RuntimeTrimmedPages;", "Ljava/util/HashSet;", "Lcom/tencent/mm/plugin/appbrand/page/AppBrandPageView;", "Lkotlin/collections/HashSet;", "Lcom/tencent/mm/plugin/appbrand/jsapi/AppBrandEnvContext;", "()V", "luggage-wechat-full-sdk_release"})
final class t$a extends HashSet<u> implements k {
    public final /* bridge */ boolean contains(Object obj) {
        AppMethodBeat.i(102474);
        if (obj instanceof u) {
            boolean contains = super.contains((u) obj);
            AppMethodBeat.o(102474);
            return contains;
        }
        AppMethodBeat.o(102474);
        return false;
    }

    public final /* bridge */ boolean remove(Object obj) {
        AppMethodBeat.i(102475);
        if (obj instanceof u) {
            boolean remove = super.remove((u) obj);
            AppMethodBeat.o(102475);
            return remove;
        }
        AppMethodBeat.o(102475);
        return false;
    }

    public final /* bridge */ int size() {
        AppMethodBeat.i(102476);
        int size = super.size();
        AppMethodBeat.o(102476);
        return size;
    }
}
